Bug 125571 - Lack of Firewire Drive Support on Boot
Lack of Firewire Drive Support on Boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-06-08 16:45 EDT by JD
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-25 23:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JD 2004-06-08 16:45:31 EDT
Description of problem:
I recently built Fedora Core 2 on a Sony VAIO laptop.  Like many 
laptops, the machine uses a IEE1394-based hot-swappable CD/DVD 
drive.  The Fedora installation CDs do not support the firewire-based 
drive on boot from CD.  To work around the problem, I was able to 
find a custom bootdisk.iso (from someone having the same problem) to 
begin the installation with ohci1394 and sbp2 support.  In the midst 
of the installation, I flipped to the console and copied the 
appropriate drivers and created the necessary symbolic links to 
ensure the firewire drive support was built-in, and would load during 
boot.  This was an exceptionally tedious process which took many 
attempts to get right.  To encourage the use of Fedora (which is 
great) on this type of laptop configuration (which is common), I 
believe the firewire drive support should be supported as part of the 
initial boot from install CDs.

Version-Release number of selected component (if applicable):
Fedora Core 2

How reproducible:

Steps to Reproduce:
1.Insert bootable Fedora CD 1 into firewire-based bootable cdrom 
2.Boot Machine

Actual Results:  System fails to recognize cdrom drive.

Expected Results:  System should recognize firewire-based drive on 
initial boot.

Additional info:
Comment 1 Jeremy Katz 2004-06-08 16:51:53 EDT
anaconda just uses what's available in the kernel.  Unfortunately,
firewire was not in stable shape when FC2 shipped.
Comment 2 JD 2004-06-09 09:47:02 EDT
So, will this problem be corrected in the next release?
Comment 3 Alan Cox 2004-06-18 22:12:15 EDT
Thats the plan. The current FC2 errata kernel enabled firewire 

Note You need to log in before you can comment on or make changes to this bug.